# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Push to Card payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of a Push to Card request. By the end of this tutorial, you'll know how to: - Use the endToEndId to check and confirm the status of your request. - Interpret Push to Card response types. ## Before you begin To retrieve the status of a Push to Card request, you'll need an `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/initiate-a-push-to-card-payment#confirm-response). ## Create and send a status request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/initiate-a-push-to-card-payment#confirm-response) contains an `endToEndId` value that can be used to retrieve the status of the payment request. To do this, call a GET request to the `/payments/status` endpoint, appending your unique `endToEndId` to the end of the call: ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId=1lv0t92e023g11354100' ``` The following response shows a payment in the `PENDING` status: ```json { "paymentStatus": { "createDateTime": "2022-06-28T00:00:01.000", "status": "PENDING" } } ``` A rejected response contains an [error code](/api/treasury/global-payments/global-payments/error-codes#push-to-card-p2c-clearing-error-reason-codes) value, description, and a rule definition that can be used to determine the request failure. The following response indicates a payment in the REJECTED status, including an additional field, `externalCode`, which applies only to rejections at the clearing level. ```json { "paymentStatus": { "createDateTime": "2023-10-04T03:27:22.000", "status": "REJECTED", "exception": [ { "errorCode": "11000", "errorDescription": "Amount of funds available to cover specified message amount is insufficient", "ruleDefinition": "Clearing/Regulatory failure", "externalCode": "AM04" } ] } } ``` J.P. Morgan recommends reviewing the [error codes](/api/treasury/global-payments/global-payments/error-codes#push-to-card-p2c-clearing-error-reason-codes) section to understand the supported responses. If you need further assistance, contact your Client Service Account Manager. Push to Card supports multiple response types, including `PENDING`, `REJECTED`, `WAREHOUSED`, `COMPLETED`, and `RETURNED`. For more information, see [Response types](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/resources). ## Related Review supported [response types](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/resources). ## Next steps - Get the [details of a Push to Card payment request](/docs/treasury/global-payments/capabilities/global-payments/push-to-card/how-to/get-p2c-details). - Review our table of potential [error codes](/api/treasury/global-payments/global-payments/error-codes).